Page MenuHomePhabricator

Delete grafana dashboard, https://grafana.wikimedia.org/d/000000599/wikibase-wb_terms-newitemidformatter
Closed, ResolvedPublic

Description

This is no longer needed.
The code that generates this is also going to be removed T238539

When I try to delete the dashboard I get a 403 request denied.

Details

Related Gerrit Patches:
operations/puppet : productionATS: allow DELETE requests

Event Timeline

Addshore created this task.Nov 18 2019, 1:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 18 2019, 1:28 PM
Addshore renamed this task from Delete grafana dashboard, https://grafana.wikimedia.org/d/000000599/wikibase-wb_terms-newitemidformatte to Delete grafana dashboard, https://grafana.wikimedia.org/d/000000599/wikibase-wb_terms-newitemidformatter.Nov 18 2019, 1:28 PM
Addshore moved this task from incoming to monitoring on the Wikidata board.

I can confirm that a DELETE of https://grafana.wikimedia.org/api/dashboards/uid/000000599 results in a 403, further I don't see the request reaching grafana1001's apache logs. I'm adding Traffic since this looks like a regression, perhaps ATS is involved.

Restricted Application added a project: Operations. · View Herald TranscriptNov 19 2019, 2:55 PM
ema triaged this task as Medium priority.Nov 19 2019, 2:56 PM
ema moved this task from Triage to Caching on the Traffic board.
CDanis added a subscriber: CDanis.Nov 19 2019, 2:56 PM
ema added a subscriber: ema.Nov 19 2019, 3:07 PM

Interesting, I've observed the request failing as described in this task by using the Chromium developer tools, copied it as curl and tried it against cp1075. The dashboard did get deleted. Private info replaced with 'blah':

curl 'http://localhost:3128/api/dashboards/uid/000000599' -X DELETE -H 'authority: grafana.wikimedia.org' -H 'accept: application/json, text/plain, */*' -H 'origin: https://grafana.wikimedia.org' -H 'x-grafana-org-id: 1' -H 'user-agent: blah' -H 'sec-fetch-site: same-origin' -H 'sec-fetch-mode: cors' -H 'referer: https://grafana.wikimedia.org/d/000000599/wikibase-wb_terms-newitemidformatter?orgId=1&editview=settings' -H 'accept-encoding: gzip, deflate, br' -H 'accept-language: en,en-US;q=0.9,it;q=0.8,de;q=0.7' -H 'cookie: __mmapiwsid=blah; WMF-Last-Access-Global=12-Nov-2019; grafana_user=Ema; WMF-Last-Access=19-Nov-2019; GeoIP=DE:BE:blah:blah; grafana_remember=blah; grafana_sess=blah' --compressed -H "Host: grafana.wikimedia.org"
{"message":"Dashboard Wikibase wb_terms newItemIdFormatter deleted","title":"Wikibase wb_terms newItemIdFormatter"}
ema moved this task from Caching to TLS on the Traffic board.Nov 19 2019, 3:24 PM
ema added a comment.Nov 19 2019, 3:28 PM

I've observed the request failing as described in this task by using the Chromium developer tools, copied it as curl and tried it against cp1075

There is a simple reason why the request works against ATS backends but via browser we're getting 403s. I was assuming that the ATS returning an error was the backend, but this is not the case. ats-tls is responding 403 to any request with method DELETE.

Change 551849 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: allow DELETE requests

https://gerrit.wikimedia.org/r/551849

Change 551849 merged by Ema:
[operations/puppet@production] ATS: allow DELETE requests

https://gerrit.wikimedia.org/r/551849

Addshore closed this task as Resolved.Nov 20 2019, 11:51 AM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 20 2019, 11:51 AM